code char CPIN[] = "AT+CPIN=1643";	//wprowadzenie numeru PIN
code char CHOOSEMEM[] = "AT+CPMS=";	//wybr domylnej lokalizacji 
													//pamici
code char ECHOOFF[] = "ATE0";			//wyczenie echa komendy AT
code char SETNOTICE[] = "AT+CNMI=1,1,0,2";
													//ustawienie sposobu powiadamiania
code char NOTICE[] = "+CMTI:";		//powiadomienie o nowym SMS-ie
code char SMSDEL[] = "AT+CMGD=";		//usunicie SMS-a z pamici
code char SMSREAD[] = "AT+CMGR=";	//odczyt SMS-a z pamici
code char SMSSEND[] = "AT+CMGS=";	//wysanie SMS-a

code char LOSCA = 0x07;					//Dugo numeru SCA+1
code char TOSCA = 0x91;					//Typ numeracji SCA
code char SCA[] = "8406010013F0";	//Centrum Usug (tu dla sieci 
													//Plus GSM)
code char FO = 0x11;							//Pierwszy oktet dla wysyanego SMS-a
code char MR = 0x00;						//Numer odniesienia dla komunikatu
code char LODA = 0x0B;					//Liczba cyfr numeru telefonu 
													//ODBIORCA
code char TODA = 0x91;					//Numeracja midzynarodowa dla CU 
													//i ODBIORCA
code char DA[] = "8406630364F1"; 	//Odbiorca wiadomoci SMS
code char PID = 0x00;						//Identyfikator protokou (tekst)
code char DCS = 0x00;						//Schemat kodowania
code char SCTS = 0x8F;					//Okres wanoci 12 godzin

idata char UDbuf[320];					//Bufor dla komunikatu SMS
													//Definicje nagwkw funkcji programu
char in(idata char *bufor);
char out(idata char *bufor);
char status(idata char *bufor);
char on(idata char *bufor);
char off(idata char *bufor);
char help(idata char *bufor);

typedef struct								//Definicja typu dla tablicy 
													// wykazu polece
{
 char code *komenda;
 char (code *funkcja)(idata char*);
}komendy;

code komendy wykaz[] = 					//Wykaz komend i powizanych 
													//z nimi funkcji
{
	"IN", in,
	"OUT", out,
	"STATUS", status,
	"ON", on,
	"OFF", off,
	"HELP", help,
	"?", help,
	"", NULL       								//Koniec wykazu
};
