//funkcja przeprowadza reset software'owy
void softreset()
{
	IE = 0;						//mov IE,#0
	asm{0xD0, 0xE0};			//pop ACC
	asm{0xD0, 0xE0};			//pop ACC
	ACC = 0;						//mov A,#0
	asm{0xC0, 0xE0};			//push ACC
	asm{0xC0, 0xE0};			//push ACC
	asm{0x32}					//reti
}


//procedura obsugi przerwania od Timera 2, odmierzanie czasu timeout
//jednostka to 1/14 sekundy
void TMR2_Isr(void) interrupt 6 using 1
{
	TF2 = 0;
	if (--TRTIMEOUT == 0) softreset();
}


//ustawienie limitu czasu operacji i uruchomienie przerwania Timera 2
//parametr time podawany jako 14 x <czas zadziaania w sekundach>
void settimeout(WORD time)
{
	TRTIMEOUT = time;
	EA = TR2 = 1;
}
