$regfile = "2313def.dat"
$baud = 19200
$crystal = 7372800

'Deklaracja funkcji
Declare Sub Wyslij_sms

'Zmienne pomocnicze:
Dim I As Byte , J As Byte , K1 As Byte , K2 As Byte , Oper As Byte
'Dugo numeru telefonu, na ktry wysyany jest komunikat SMS
Dim D_numerutel As Byte
'Dugo komunikatu (pole UD  dane uytkownika)
Dim D_komunikatu As Byte
'Dugo caej komendy wysyajcej SMS
Dim D_komendy As Byte
'Numer telefonu adresata wiadomoci
Dim Telnum As String * 12
'Tekst komunikatu
Dim Tekst As String * 30
'Zmienna pomocnicza: pojedynczy znak
Dim Z As String * 1

Sub Wyslij_sms
  'Wyznaczenie liczby cyfr numeru telefonu
  D_numerutel = Len(telnum)
  'Wyznaczenie dugoci komunikatu
  D_komunikatu = Len(tekst)
  'Wyznaczenie dugoci komendy dla polecenia AT+CMGS=xx
  I = D_numerutel Mod 2
  J = D_numerutel / 2
  J = J + 7
  D_numerutel = I + J
  I = D_komunikatu Mod 8
  J = D_komunikatu / 8
  J = J * 7
  J = J + I
  D_komendy = D_numerutel + J
  'Wysanie komunikatu SMS zawartego w TEKST
  '       Wyczenie echa komendy
  Print "ATE0"
  '        Komenda wysania wiadomoci SMS
  Print "AT+CMGS=" ; D_komendy
  Wait 2
  '        Na pocztku wysyamy: dugo numery SCA, typ numeru SCA, 
  '        numer SCA oraz Pierwszy Oktet, numer odniesienia dla 
  '        komunikatu
  '        Numer Centrum Usug kodowany jest w nastpujcy sposb:
  '         liczba bajtw potrzebna do jego zapamitania+1
  '         &H91 okrela numeracj midzynarodow
  '         jeli numer ma dugo nieparzyst, na kocu 
  '          dodawana jest litera F
  '         znaki tworzce numer zamieniane s pozycjami w obrbie
  '          par, tzn. 48601000310 -> 48601000310+'F' -> 48601000310F 
  '          -> 8406010013F0
  Print "07918406010013F01100";
  '       Jako pierwsza jest przesyana liczba cyfr numeru
  Print Hex(d_numerutel);
  '        Typ numeracji: midzynarodowy
  Print "91";
  '        Kodowanie numeru telefonu odbiorcy SMS
  For I = 0 To D_numerutel Step 2
     J = I + 1
     If J >= D_numerutel Then
        Print "F";
     Else
        Z = Mid(telnum , J , 1)
        K1 = Asc(z)
        Print Chr(k1);
     End If
     Z = Mid(telnum , I , 1)
     K1 = Asc(z)
     Print Chr(k1);
  Next I

  '   Teraz przesyamy identyfikator protokou tr. i schematu 
  '   kodowania odpowiednie s wartoci 0x00 i 0x00 oznaczajce SMS 
  '   tekstowy zakodowany zgodnie z domylnym, 7-bitowym alfabetem
  Print "0000";
  '   Kodowanie komunikatu: zamiana oktetw na septety
  Print Hex(d_komunikatu);
  I = 0 : J = 1
  Do
     Z = Mid(tekst , I , 1) : K1 = Asc(z)
     Z = Mid(tekst , J , 1) : K2 = Asc(z)
     Oper = I Mod 8 : Shift K1 , Right , Oper
     Oper = 7  Oper : Shift K2 , Left , Oper
     K1 = K1 + K2 : Print Hex(k1);
     Incr I : Incr J
     If Oper = 1 Then
        Incr J
        Incr I
     End If
  Loop Until I >= D_komunikatu
  'Na kocu komunikatu jest przesyana sekwencja Ctrl+Z-CR-LF
  Print Chr(26)
End Sub

'***     Przykad uycia funkcji wysyania SMS-a     ***
'Telefon pracuje w sieci Plus GSM, numer Centrum Usug
'jest zakodowany w funkcji Wyslij_sms

'        Wstawienie numeru telefonu
  Telnum = "48601102030"
'        Tre komunikatu (do 30 znakw!)
  Tekst = "Komunikat SMS"
'        Wysanie SMS
  Wyslij_sms
End
